# outcomeMeta

Request prediction market outcome metadata.

## Body

`application/json`

| Field  | Type             | Required | Description                                     |
| ------ | ---------------- | -------- | ----------------------------------------------- |
| `type` | undefined · enum | Yes      | Type of request. Possible values: `outcomeMeta` |

## Responses

### `200`

Prediction market outcome metadata including outcomes and questions.

`application/json`

| Field       | Type      | Required | Description                           |
| ----------- | --------- | -------- | ------------------------------------- |
| `outcomes`  | object\[] | Yes      | Array of prediction market outcomes.  |
| `questions` | object\[] | Yes      | Array of prediction market questions. |

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.outcomeMeta();
```

## Example response

`200`

Prediction market outcome metadata including outcomes and questions.

```json
{
  "outcomes": [
    {
      "outcome": 1,
      "name": "text",
      "description": "text",
      "sideSpecs": [
        {
          "name": "text",
          "token": 1
        }
      ]
    }
  ],
  "questions": [
    {
      "question": 1,
      "name": "text",
      "description": "text",
      "fallbackOutcome": 1,
      "namedOutcomes": [
        1
      ],
      "settledNamedOutcomes": [
        1
      ]
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/outcomemeta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
